For the complete documentation index, see llms.txt. This page is also available as Markdown.

CpWorkCard

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getCpWorkCard

post

Retrieve CpWorkCard parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getCpWorkCard
POST /nexum/627/2022.01/parameter/getCpWorkCard HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CpWorkCard": {
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getCpWorkCard"
}

getCpWorkCardSelectFields

post

Retrieve CpWorkCard parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/getCpWorkCardSelectFields
POST /nexum/627/2022.01/parameter/getCpWorkCardSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 278

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "SelectableFields": {
    "CpWorkCardFields": {
      "AdditionalInfoSpecfileName": true,
      "AutomaticAdvanceNextQueued": true,
      "WorkCardDescriptionType": [
        1
      ]
    }
  }
}
200

Successful operation.

{
  "CpWorkCard": {
    "AdditionalInfoSpecfileName": null,
    "AutomaticAdvanceNextQueued": 0,
    "WorkCardDescriptionType": [
      {
        "EntryId": 1,
        "WorkCardDescriptionType": "NSF Check"
      }
    ]
  },
  "MessageId": "getCpWorkCardSelectFields"
}

updateCpWorkCardByID

post

Update CpWorkCard parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200

Successful operation.

application/json
post/updateCpWorkCardByID
POST /nexum/627/2022.01/parameter/updateCpWorkCardByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 209

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CpWorkCardUpdatableFields": {
    "Type": 0,
    "Priority": "1",
    "LastCollectorId": 1
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": []
  },
  "MessageId": "updateCpWorkCardByID"
}

Last updated

Was this helpful?